Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Interface RequestVisitor

All Known Implementing Classes:
  BuiltinRequestRenderer, OWLlinkReasonerBridge, OWLlinkXMLRenderer

    public interface RequestVisitor

Visitor interface for requests. For OWLlink extension queries a general `answer` method exists.

Author:
  Olaf Noppens

Method Summary
`void` | `answer(Classify query)`
`void` | `answer(CreateKB query)`
`void` | `answer(GetAllAnnotationProperties query)`
`void` | `answer(GetAllClasses query)`
`void` | `answer(GetAllDataProperties query)`
`void` | `answer(GetAllDatatypes query)`
`void` | `answer(GetAllIndividuals query)`
`void` | `answer(GetAllObjectProperties query)`
`void` | `answer(GetDataPropertiesBetween query)`
`void` | `answer(GetDataPropertiesOfLiteral query)`
`void` | `answer(GetDataPropertiesOfSource query)`
`void` | `answer(GetDataPropertySources query)`
`void` | `answer(GetDataPropertyTargets query)`
`void` | `answer(GetDescription query)`
`void` | `answer(GetDifferentIndividuals query)`
`void` | `answer(GetDisjointClasses query)`
`void` | `answer(GetDisjointDataProperties query)`
`void` | `answer(GetDisjointObjectProperties query)`
`void` | `answer(GetEquivalentClasses query)`
`void` | `answer(GetEquivalentDataProperties query)`
`void` | `answer(GetEquivalentObjectProperties query)`
`void` | `answer(GetFlattenedDataPropertySources query)`
`void` | `answer(GetFlattenedDifferentIndividuals query)`
`void` | `answer(GetFlattenedInstances query)`
`void` | `answer(GetFlattenedObjectPropertySources query)`
`void` | `answer(GetFlattenedObjectPropertyTargets query)`
`void` | `answer(GetFlattenedTypes query)`
`void` | `answer(GetInstances query)`
`void` | `answer(GetKBLanguage query)`
`void` | `answer(GetObjectPropertiesBetween query)`
`void` | `answer(GetObjectPropertiesOfSource query)`
`void` | `answer(GetObjectPropertiesOfTarget query)`
`void` | `answer(GetObjectPropertySources query)`
`void` | `answer(GetObjectPropertyTargets query)`
`void` | `answer(GetPrefixes query)`
`void` | `answer(GetSameIndividuals query)`
`void` | `answer(GetSettings query)`
`void` | `answer(GetSubClasses query)`
`void` | `answer(GetSubClassHierarchy query)`
`void` | `answer(GetSubDataProperties query)`
`void` | `answer(GetSubDataPropertyHierarchy query)`
`void` | `answer(GetSubObjectProperties query)`
`void` | `answer(GetSubObjectPropertyHierarchy query)`
`void` | `answer(GetSuperClasses query)`
`void` | `answer(GetSuperDataProperties query)`
`void` | `answer(GetSuperObjectProperties query)`
`void` | `answer(GetTypes query)`
`void` | `answer(IsClassSatisfiable query)`
`void` | `answer(IsDataPropertySatisfiable query)`
`void` | `answer(IsEntailed query)`
`void` | `answer(IsEntailedDirect query)`
`void` | `answer(IsKBConsistentlyDeclared query)`
`void` | `answer(IsKBSatisfiable query)`
`void` | `answer(IsObjectPropertySatisfiable query)`
`void` | `answer(LoadOntologies query)`
`void` | `answer(Realize query)`
`void` | `answer(ReleaseKB query)`
`void` | `answer(Request query)` Common answer method for all queries where no specific answer method exists, i.e. for all non-core queries.
`void` | `answer(Set query)`
`void` | `answer(Tell request)`

Method Detail

### answer

    void answer(Request query)

  Common answer method for all queries where no specific answer method exists, i.e. for all non-core queries.

  Parameters:
    `query` -

### answer

    void answer(Classify query)

### answer

    void answer(CreateKB query)

### answer

    void answer(GetAllAnnotationProperties query)

### answer

    void answer(GetAllClasses query)

### answer

    void answer(GetAllDataProperties query)

### answer

    void answer(GetAllDatatypes query)

### answer

    void answer(GetAllIndividuals query)

### answer

    void answer(GetAllObjectProperties query)

### answer

    void answer(GetDataPropertiesBetween query)

### answer

    void answer(GetDataPropertiesOfLiteral query)

### answer

    void answer(GetDataPropertiesOfSource query)

### answer

    void answer(GetDataPropertySources query)

### answer

    void answer(GetDataPropertyTargets query)

### answer

    void answer(GetDescription query)

### answer

    void answer(GetDisjointClasses query)

### answer

    void answer(GetDisjointDataProperties query)

### answer

    void answer(GetDifferentIndividuals query)

### answer

    void answer(GetDisjointObjectProperties query)

### answer

    void answer(GetEquivalentClasses query)

### answer

    void answer(GetEquivalentDataProperties query)

### answer

    void answer(GetSameIndividuals query)

### answer

    void answer(GetEquivalentObjectProperties query)

### answer

    void answer(GetFlattenedDataPropertySources query)

### answer

    void answer(GetFlattenedDifferentIndividuals query)

### answer

    void answer(GetFlattenedInstances query)

### answer

    void answer(GetFlattenedObjectPropertySources query)

### answer

    void answer(GetFlattenedObjectPropertyTargets query)

### answer

    void answer(GetFlattenedTypes query)

### answer

    void answer(GetInstances query)

### answer

    void answer(GetKBLanguage query)

### answer

    void answer(GetObjectPropertiesBetween query)

### answer

    void answer(GetObjectPropertiesOfSource query)

### answer

    void answer(GetObjectPropertiesOfTarget query)

### answer

    void answer(GetObjectPropertySources query)

### answer

    void answer(GetObjectPropertyTargets query)

### answer

    void answer(GetPrefixes query)

### answer

    void answer(GetSettings query)

### answer

    void answer(GetSubClasses query)

### answer

    void answer(GetSubClassHierarchy query)

### answer

    void answer(GetSubDataProperties query)

### answer

    void answer(GetSubDataPropertyHierarchy query)

### answer

    void answer(GetSubObjectProperties query)

### answer

    void answer(GetSubObjectPropertyHierarchy query)

### answer

    void answer(GetSuperClasses query)

### answer

    void answer(GetSuperDataProperties query)

### answer

    void answer(GetSuperObjectProperties query)

### answer

    void answer(GetTypes query)

### answer

    void answer(IsClassSatisfiable query)

### answer

    void answer(IsDataPropertySatisfiable query)

### answer

    void answer(IsKBConsistentlyDeclared query)

### answer

    void answer(IsKBSatisfiable query)

### answer

    void answer(IsEntailed query)

### answer

    void answer(IsEntailedDirect query)

### answer

    void answer(IsObjectPropertySatisfiable query)

### answer

    void answer(LoadOntologies query)

### answer

    void answer(Realize query)

### answer

    void answer(ReleaseKB query)

### answer

    void answer(Set query)

### answer

    void answer(Tell request)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD